> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/resources/card-response-and-result-codes/card-error-response-codes.md).

# Card Error Response Codes

You can test specific response codes using a test transaction with the test card and predetermined transaction amounts listed below.

<table><thead><tr><th width="125">Value</th><th width="143">HTTP Status Code</th><th width="267">Message</th><th>Amount</th></tr></thead><tbody><tr><td>000</td><td>200</td><td>Approve</td><td>0.49, 0.80, 0.81, 0.82</td></tr><tr><td>003</td><td>402</td><td>Declined by Issuer – Card expired</td><td>0.29</td></tr><tr><td>004</td><td>402</td><td>Card Expired</td><td>0.05, 0.04</td></tr><tr><td>006</td><td>402</td><td>Allowable Pin Entries Exceeded</td><td>0.40</td></tr><tr><td>007</td><td>402</td><td>Declined by Issuer – Referred – Please call Card Issuer</td><td>0.01, 0.02</td></tr><tr><td>008</td><td>402</td><td>Declined by Issuer – Invalid Amount</td><td>0.11, 0.32</td></tr><tr><td>009</td><td>400</td><td>Invalid Card Number</td><td>0.14</td></tr><tr><td>010</td><td>402</td><td>Declined by Issuer – Account not found</td><td>0.36, 0.37, 0.38</td></tr><tr><td>011</td><td>400</td><td>Invalid Request</td><td>0.31, 0.35, 0.39</td></tr><tr><td>012</td><td>402</td><td>Not Sufficient Funds</td><td>0.21</td></tr><tr><td>014</td><td>402</td><td>Declined by Issuer – Exceeds amount limit</td><td>0.23, 0.70</td></tr><tr><td>015</td><td>402</td><td>Declined by Issuer – Transaction not permitted</td><td>0.43, 0.44</td></tr><tr><td>016</td><td>402</td><td>Declined by Issuer – Frequency limit exceeded</td><td>0.22, 0.25, 0.71, 520.00</td></tr><tr><td>018</td><td>400</td><td>Invalid Pin</td><td>0.12, 0.13, 0.47</td></tr><tr><td>021</td><td>402</td><td>Declined by Issuer – Invalid card security code</td><td>0.48</td></tr><tr><td>022</td><td>400</td><td>Cashback Amount Exceeded</td><td>0.16</td></tr><tr><td>023</td><td>402</td><td>Transaction Declined By Issuer</td><td>0.04, 0.09, 0.15, 0.17, 51.00</td></tr><tr><td>024</td><td>402</td><td>Previously Reversed</td><td>0.1</td></tr><tr><td>027</td><td>402</td><td>Original Not Found</td><td>0.34</td></tr><tr><td>030</td><td>402</td><td>Invalid merchant ID – Please call Customer Support</td><td>0.46</td></tr><tr><td>031</td><td>402</td><td>Transaction Did Not Complete Normally, Please Retry</td><td>0.03</td></tr><tr><td>032</td><td>402</td><td>Duplicate Transaction</td><td>0.54</td></tr><tr><td>034</td><td>402</td><td>Card Lost</td><td>0.07</td></tr><tr><td>035</td><td>402</td><td>Card Stolen</td><td>0.08</td></tr><tr><td>037</td><td>200</td><td>Advice Accepted, No Action Taken</td><td>0.33</td></tr><tr><td>041</td><td>400</td><td>Field Validation</td><td>$0.00</td></tr><tr><td>000</td><td>200</td><td>This amount will trigger the sale to take over 60 seconds to process. Used to test timeout scenarios.- Only for Mobile Gateway</td><td>$999.00</td></tr><tr><td>000</td><td>200</td><td>This amount will trigger the sale to take over 60 seconds to process. Used to test timeout scenarios.- Only for transaction EMV</td><td>$1,000.00</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/resources/card-response-and-result-codes/card-error-response-codes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
